Package org.h2gis.functions.spatial.crs

# Class ST_FindUTMSRID

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.crs.ST_FindUTMSRID

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_FindUTMSRID extends org.h2gis.api.DeterministicScalarFunction
Find the UTM SRID code

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_FindUTMSRID()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`findSRID(Connection connection, org.locationtech.jts.geom.Geometry geometry)`
Find UTM SRID from a geometry
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_FindUTMSRID

public ST_FindUTMSRID()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### findSRID

public static int findSRID(Connection connection, org.locationtech.jts.geom.Geometry geometry) throws SQLException
Find UTM SRID from a geometry

Parameters:
  `connection` -
  `geometry` -
Returns:
Throws:
  `SQLException`